# List Clearing Brokers

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Clearing", href: "/trading/rest-api/clearing" },
    { label: "List Clearing Brokers" },
  ]}
  title="List Clearing Brokers"
  method="POST"
  url="https://api.gemini.com/v1/clearing/broker/list"
  description="Retrieve a filtered list of broker-facilitated clearing orders."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/clearing/broker/list",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/clearing/broker/list",
        nonce: "<nonce>",
        symbol: "BTCEUR",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>clearing:read</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="listClearingBrokers" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="listClearingBrokers" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="listClearingBrokers" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "List Clearing Orders", href: "/trading/rest-api/clearing/list-clearing-orders" }}
  next={{ label: "Create New Broker Order", href: "/trading/rest-api/clearing/create-new-broker-order" }}
/>
